Sub ChangeSetting(ByVal sFile, ByVal sVar, ByVal sType, ByVal sText)
	On Error Resume Next
	
	Dim continue
	Dim read
	Dim readFile
	Dim printTxt
	
	
	Do
		continue = false
		
		Err.Clear

		readFile = ReadHTMLFileSetting(sFile, sVar)

		Select Case sType
			
			Case "text"
				printTxt = sText & " default=" & readFile & " [text] (enter to use default) :"
			
			Case "bool"
				printTxt = sText & " default=" & readFile & " [true,false] (enter to use default) :"
				
		End Select
		
		
		read = Trim(ReadLine(printTxt))
		
		If Len(read) <> 0 Then
			Select Case sType

				Case "text"
					
					SetHTMLFileSetting sFile, sVar, read

					continue = True
					
				Case "bool"
					If read = "true" Or read = "false" Then

						SetHTMLFileSetting sFile, sVar, read

						continue = True
					Else
						Call WriteLines ("Error: bollean use [true or false] !!!")
						continue = false
					End If
			End Select
		Else ' default value
			continue = True
		End If		
	Loop Until continue
	
End Sub

Function ReadHTMLFileSetting(ByVal fileName, ByVal varName)
	Dim pos
	Dim posEnd
	Dim ret
	Dim fileCnt
	Dim fsc
	
	Set fsc = New FileSystemClass
	
	If fsc.FileExist(fileName) Then
	
		fileCnt = fsc.ReadStringFromFile(fileName)
		
		pos = InStr(1, fileCnt, SYMBOL_START & varName & SYMBOL_MID)
		
		If pos <> 0 Then
			pos = InStr(pos + Len(SYMBOL_START & varName & SYMBOL_MID), fileCnt, SYMBOL_VALUE) + Len(SYMBOL_VALUE)
			posEnd = InStr(pos, fileCnt, SYMBOL_END)
			
			ret = Mid(fileCnt, pos, posEnd - pos)
		Else
			ret = ERROR_STR
		End If
	Else
		ret = ERROR_STR
	End If
	
	Set fsc = Nothing				
	
	ReadHTMLFileSetting = ret
End Function

Sub SetHTMLFileSetting(ByVal fileName, ByVal varName, ByVal varValue)
	Dim pos
	Dim posEnd
	Dim fileCnt
	Dim fsc
	Dim newFileCnt
	
	Set fsc = New FileSystemClass
	
	If fsc.FileExist(fileName) Then
	
		fileCnt = fsc.ReadStringFromFile(fileName)
		
		pos = InStr(1, fileCnt, SYMBOL_START & varName & SYMBOL_MID)
		
		If pos <> 0 Then
			pos = InStr(pos + Len(SYMBOL_START & varName & SYMBOL_MID), fileCnt, SYMBOL_VALUE) + Len(SYMBOL_VALUE) - 1
			posEnd = InStr(pos, fileCnt, SYMBOL_END)
		
			newFileCnt = Mid(fileCnt, 1, pos)
			newFileCnt = newFileCnt & varValue 
			newFileCnt = newFileCnt & Mid(fileCnt, posEnd)

			Call fsc.WriteStringToFile (fileName, newFileCnt)

		End If
	End If
	
	Set fsc = Nothing	
End Sub

